/*
 * i.MX image header offset values
 * Copyright (C) 2013 Marek Vasut <marex@denx.de>
 *
 * SPDX-License-Identifier:	GPL-2.0+
 */

/*
 * NOTE: This file must be kept in sync with tools/imximage.h because
 *       tools/imximage.c can not cross-include headers from arch/arm/
 *       and vice-versa.
 */

#ifndef __ASM_IMX_COMMON_IMXIMAGE_CFG__
#define __ASM_IMX_COMMON_IMXIMAGE_CFG__

/* Standard image header offset for NAND, SATA, SD, SPI flash. */
#define FLASH_OFFSET_STANDARD	0x400
/* Specific image header offset for booting from OneNAND. */
#define FLASH_OFFSET_ONENAND	0x100
/* Specific image header offset for booting from memory-mapped NOR. */
#define FLASH_OFFSET_NOR	0x1000

#endif  /* __ASM_IMX_COMMON_IMXIMAGE_CFG__ */
